Add another test-script for mtree(8): Check symlinks with space in them.

This commit is contained in:
Poul-Henning Kamp 2003-10-30 12:01:32 +00:00
parent 33c50f26da
commit 13b31fb0d8
Notes: svn2git 2020-12-20 02:59:44 +00:00
svn path=/head/; revision=121733

View file

@ -0,0 +1,40 @@
#!/bin/sh
#
# Copyright (c) 2003 Poul-Henning Kamp
# All rights reserved.
#
# Please see src/share/examples/etc/bsd-style-copyright.
#
# $FreeBSD$
#
set -e
TMP=/tmp/mtree.$$
rm -rf ${TMP}
mkdir -p ${TMP} ${TMP}/mr ${TMP}/mt
ln -s "xx this=is=wrong" ${TMP}/mr/foo
mtree -c -p ${TMP}/mr > ${TMP}/_
if mtree -U -r -p ${TMP}/mt < ${TMP}/_ > /dev/null 2>&1 ; then
true
else
echo "ERROR Mtree failed on symlink with space char" 1>&2
rm -rf ${TMP}
exit 1
fi
x=x`(cd ${TMP}/mr ; ls -l foo 2>&1) || true`
y=x`(cd ${TMP}/mt ; ls -l foo 2>&1) || true`
if [ "$x" != "$y" ] ; then
echo "ERROR Recreation of spaced symlink failed" 1>&2
rm -rf ${TMP}
exit 1
fi
rm -rf ${TMP}
exit 0